.ba-splash {
	position: absolute;
	height: 100%;
	width: 100%;
	background-color: white;
}

.ba-splash .ba-splash-center {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}

@keyframes ba-splash-rotate {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

.ba-splash-loading {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	font-size: 100%;
	font-family: inherit;
	vertical-align: baseline;
	border: 0;
	animation-name: ba-splash-rotate;
	animation-duration: 690ms;
	animation-timing-function: linear;
	animation-iteration-count: infinite;
	animation-fill-mode: forwards;
	width: 10.5rem;
	height: 10.5rem;
}

.ba-splash-loading *,
.ba-splash-loading *::before,
.ba-splash-loading *::after {
	box-sizing: inherit;
}

.ba-splash-loading svg circle {
	animation-name: init-stroke;
	animation-duration: 10ms;
	animation-timing-function: cubic-bezier(0.2, 0, 0.38, 0.9);
}

.ba-splash-loading__svg {
	fill: transparent;
}

.ba-splash-loading__svg circle {
	stroke-width: 8;
	stroke-linecap: butt;
	stroke-dasharray: 240;
}

.ba-splash-loading__stroke {
	stroke: #0f62fe;
	stroke-dashoffset: 40;
}